import { DocumentChange, DocumentChangeType, DocumentReference, fromRef, Query, SnapshotListenOptions } from '@angular/fire/firestore';
import { Observable } from 'rxjs';
export { fromRef as docSnapshotChanges };
export declare function docValueChanges<T>(ref: DocumentReference<T>, options: SnapshotListenOptions): Observable<T>;
export declare function collectionValueChanges<T>(query: Query<T>, options: SnapshotListenOptions): Observable<T[]>;
export interface CollectionChangeListenOptions extends SnapshotListenOptions {
    events?: DocumentChangeType[];
}
export declare function collectionChanges<T>(query: Query<T>, options: CollectionChangeListenOptions): Observable<DocumentChange<T>[]>;
