import { CollectionService, CollectionState } from '../../collection/collection.service';
import { Observable } from 'rxjs';
import { Query } from './types';
export declare function awaitSyncQuery<Service extends CollectionService<CollectionState<E>>, E>(this: Service, query: Query<E>): Observable<any>;
/**
 * Listen on the changes of the documents in the query
 * @param query A query object to listen to
 */
export declare function queryChanges<Service extends CollectionService<CollectionState<E>>, E>(this: Service, query: Query<E>): Observable<any>;
export declare function awaitQuery<Service extends CollectionService<CollectionState<E>>, E>(this: Service, query: Query<E>): Observable<any>;
