import { Observable } from 'rxjs';
export interface ShouldCancelOptions {
    validate: Observable<any>;
    cancel: Observable<any>;
}
export interface WaitForCancelOptions {
    startWith: () => void;
    endWith: (cancelled: boolean) => void;
    shouldValidate: Observable<any>;
    shouldCancel: Observable<any>;
}
export declare function shouldCancel({ validate, cancel }: ShouldCancelOptions): Observable<boolean>;
export declare function waitForCancel({ startWith, endWith, shouldValidate, shouldCancel, }: WaitForCancelOptions): Promise<void>;
