export declare type Role = 'read' | 'get' | 'list' | 'write' | 'create' | 'update' | 'delete';
export declare type RolesState = Record<string, Role[]>;
export declare function canWrite(write: 'create' | 'update' | 'delete', roles: Role[]): boolean;
export declare function canRead(read: 'get' | 'list', roles: Role[]): boolean;
export declare function hasRole(role: Role, roles: Role[]): boolean;
